# Interface UwsJobInfo.Parameter

Enclosing interface:
  `UwsJobInfo`

public static interface UwsJobInfo.Parameter
Represents a parameter associated with a UWS job.

Since:
  4 May 2011
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`getId()`
Returns this parameter's ID (name).
`String`
`getValue()`
Returns this parameter's value.
`boolean`
`isByReference()`
Indicates whether this parameter's value is a URL or not.
`boolean`
`isPost()`
Indicates whether this parameter represents posted data.

## Method Details

### getId

String getId()
Returns this parameter's ID (name).

Returns:
  name

### getValue

String getValue()
Returns this parameter's value.

Returns:
  value

### isByReference

boolean isByReference()
Indicates whether this parameter's value is a URL or not.

Returns:
  true for direct content, false for a URL

### isPost

boolean isPost()
Indicates whether this parameter represents posted data.

Returns:
  true iff posted